<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 1.2.40.0.34.11.1.1.5
Name: HeaderParticipant Angehörige
Description: Angehörige
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-1.2.40.0.34.11.1.1.5-2013-10-16T000000">
   <title>HeaderParticipant Angehörige</title>
   <!--
Template derived rules for ID: 1.2.40.0.34.11.1.1.5
Context: *[hl7:participant[hl7:templateId[@root='1.2.40.0.34.11.1.1.5']][hl7:templateId/@root='1.2.40.0.34.11.1.1.5']]
Item: (HeaderParticipantAngehoerige)
-->

<!--
Template derived rules for ID: 1.2.40.0.34.11.1.1.5
Context: *[hl7:participant[hl7:templateId[@root='1.2.40.0.34.11.1.1.5']][hl7:templateId/@root='1.2.40.0.34.11.1.1.5']]/hl7:participant[hl7:templateId[@root='1.2.40.0.34.11.1.1.5']]
Item: (HeaderParticipantAngehoerige)
-->

<rule context="*[hl7:participant[hl7:templateId[@root='1.2.40.0.34.11.1.1.5']][hl7:templateId/@root='1.2.40.0.34.11.1.1.5']]/hl7:participant[hl7:templateId[@root='1.2.40.0.34.11.1.1.5']]"
         id="tmp-r-abbb638e-67eb-431a-89a1-6c13d4c8656f">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140201T131000/tmp-1.2.40.0.34.11.1.1.5-2013-10-16T000000.html"
              test="string(@typeCode)='IND'">(HeaderParticipantAngehoerige): Der Wert von @typeCode MUSS 'IND' sein.</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140201T131000/tmp-1.2.40.0.34.11.1.1.5-2013-10-16T000000.html"
              test="count(hl7:templateId[@root='1.2.40.0.34.11.1.1.5'])&gt;=1 and not(hl7:templateId[@root='1.2.40.0.34.11.1.1.5']/@nullFlavor)">(HeaderParticipantAngehoerige): Element hl7:templateId[@root='1.2.40.0.34.11.1.1.5'] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140201T131000/tmp-1.2.40.0.34.11.1.1.5-2013-10-16T000000.html"
              test="count(hl7:associatedEntity)&gt;=1 and not(hl7:associatedEntity/@nullFlavor)">(HeaderParticipantAngehoerige): Element hl7:associatedEntity ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140201T131000/tmp-1.2.40.0.34.11.1.1.5-2013-10-16T000000.html"
              test="count(hl7:associatedEntity)&lt;=1">(HeaderParticipantAngehoerige): Element hl7:associatedEntity kommt zu häufig vor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.40.0.34.11.1.1.5
Context: *[hl7:participant[hl7:templateId[@root='1.2.40.0.34.11.1.1.5']][hl7:templateId/@root='1.2.40.0.34.11.1.1.5']]/hl7:participant[hl7:templateId[@root='1.2.40.0.34.11.1.1.5']]/hl7:templateId
Item: (HeaderParticipantAngehoerige)
-->

<rule context="*[hl7:participant[hl7:templateId[@root='1.2.40.0.34.11.1.1.5']][hl7:templateId/@root='1.2.40.0.34.11.1.1.5']]/hl7:participant[hl7:templateId[@root='1.2.40.0.34.11.1.1.5']]/hl7:templateId"
         id="tmp-r-d0a0e569-cd41-46c4-8f3f-5dc6731e6e2d">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140201T131000/tmp-1.2.40.0.34.11.1.1.5-2013-10-16T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(HeaderParticipantAngehoerige): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:II" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140201T131000/tmp-1.2.40.0.34.11.1.1.5-2013-10-16T000000.html"
              test="string(@root)='1.2.40.0.34.11.1.1.5'">(HeaderParticipantAngehoerige): @root MUSS den Wert '1.2.40.0.34.11.1.1.5' haben.</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.40.0.34.11.1.1.5
Context: *[hl7:participant[hl7:templateId[@root='1.2.40.0.34.11.1.1.5']][hl7:templateId/@root='1.2.40.0.34.11.1.1.5']]/hl7:participant[hl7:templateId[@root='1.2.40.0.34.11.1.1.5']]/hl7:associatedEntity
Item: (HeaderParticipantAngehoerige)
-->

<rule context="*[hl7:participant[hl7:templateId[@root='1.2.40.0.34.11.1.1.5']][hl7:templateId/@root='1.2.40.0.34.11.1.1.5']]/hl7:participant[hl7:templateId[@root='1.2.40.0.34.11.1.1.5']]/hl7:associatedEntity"
         id="tmp-r-ca16f4d4-3866-4c2c-b867-03408f6ee55e">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140201T131000/tmp-1.2.40.0.34.11.1.1.5-2013-10-16T000000.html"
              test="string(@classCode)='PRS'">(HeaderParticipantAngehoerige): Der Wert von @classCode MUSS 'PRS' sein.</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140201T131000/tmp-1.2.40.0.34.11.1.1.5-2013-10-16T000000.html"
              test="count(hl7:code)&lt;=1">(HeaderParticipantAngehoerige): Element hl7:code kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140201T131000/tmp-1.2.40.0.34.11.1.1.5-2013-10-16T000000.html"
              test="count(hl7:addr)&lt;=1">(HeaderParticipantAngehoerige): Element hl7:addr kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140201T131000/tmp-1.2.40.0.34.11.1.1.5-2013-10-16T000000.html"
              test="count(hl7:telecom)&gt;=1 and not(hl7:telecom/@nullFlavor)">(HeaderParticipantAngehoerige): Element hl7:telecom ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140201T131000/tmp-1.2.40.0.34.11.1.1.5-2013-10-16T000000.html"
              test="count(hl7:associatedPerson)&gt;=1 and not(hl7:associatedPerson/@nullFlavor)">(HeaderParticipantAngehoerige): Element hl7:associatedPerson ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140201T131000/tmp-1.2.40.0.34.11.1.1.5-2013-10-16T000000.html"
              test="count(hl7:associatedPerson)&lt;=1">(HeaderParticipantAngehoerige): Element hl7:associatedPerson kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140201T131000/tmp-1.2.40.0.34.11.1.1.5-2013-10-16T000000.html"
              test="count(hl7:scopingOrganization)&lt;=1">(HeaderParticipantAngehoerige): Element hl7:scopingOrganization kommt zu häufig vor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.40.0.34.11.1.1.5
Context: *[hl7:participant[hl7:templateId[@root='1.2.40.0.34.11.1.1.5']][hl7:templateId/@root='1.2.40.0.34.11.1.1.5']]/hl7:participant[hl7:templateId[@root='1.2.40.0.34.11.1.1.5']]/hl7:associatedEntity/hl7:code
Item: (HeaderParticipantAngehoerige)
-->

<rule context="*[hl7:participant[hl7:templateId[@root='1.2.40.0.34.11.1.1.5']][hl7:templateId/@root='1.2.40.0.34.11.1.1.5']]/hl7:participant[hl7:templateId[@root='1.2.40.0.34.11.1.1.5']]/hl7:associatedEntity/hl7:code"
         id="tmp-r-54e93a15-b785-4da8-9211-4fffe3cbdd04">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140201T131000/tmp-1.2.40.0.34.11.1.1.5-2013-10-16T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(HeaderParticipantAngehoerige): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:CE" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theCodeSystemVersion" value="@codeSystemVersion"/>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140201T131000/tmp-1.2.40.0.34.11.1.1.5-2013-10-16T000000.html"
              test="@nullFlavor or exists(doc('include/voc-1.2.40.0.34.10.17-DYNAMIC.xml')/*/valueSet[conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion] or completeCodeSystem[@codeSystem=$theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion]])">(HeaderParticipantAngehoerige): Der Elementinhalt MUSS sein ELGA_PersonalRelationship (DYNAMIC).</assert>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="validNullFlavorsFound"
           value="(doc('include/voc-1.2.40.0.34.10.17-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1])"/>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140201T131000/tmp-1.2.40.0.34.11.1.1.5-2013-10-16T000000.html"
              test="not(@nullFlavor) or not(empty(($validNullFlavorsFound))) ">(HeaderParticipantAngehoerige): Der fehlende Wert für @code MUSS gewählt werden aus dem Set gültiger null flavors für dieses Attribut oder denen assoziiert mit Value Set ELGA_PersonalRelationship (DYNAMIC).</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.40.0.34.11.1.1.5
Context: *[hl7:participant[hl7:templateId[@root='1.2.40.0.34.11.1.1.5']][hl7:templateId/@root='1.2.40.0.34.11.1.1.5']]/hl7:participant[hl7:templateId[@root='1.2.40.0.34.11.1.1.5']]/hl7:associatedEntity/hl7:addr
Item: (HeaderParticipantAngehoerige)
-->

<rule context="*[hl7:participant[hl7:templateId[@root='1.2.40.0.34.11.1.1.5']][hl7:templateId/@root='1.2.40.0.34.11.1.1.5']]/hl7:participant[hl7:templateId[@root='1.2.40.0.34.11.1.1.5']]/hl7:associatedEntity/hl7:addr"
         id="tmp-r-e4e1986f-4c23-40f4-a2fb-e2ea53242653">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140201T131000/tmp-1.2.40.0.34.11.1.1.5-2013-10-16T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='AD' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(HeaderParticipantAngehoerige): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:AD" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="AD"/>
      <let name="theValue" value="@value"/>
   </rule>
   <!--
Template derived rules for ID: 1.2.40.0.34.11.1.1.5
Context: *[hl7:participant[hl7:templateId[@root='1.2.40.0.34.11.1.1.5']][hl7:templateId/@root='1.2.40.0.34.11.1.1.5']]/hl7:participant[hl7:templateId[@root='1.2.40.0.34.11.1.1.5']]/hl7:associatedEntity/hl7:telecom
Item: (HeaderParticipantAngehoerige)
-->

<rule context="*[hl7:participant[hl7:templateId[@root='1.2.40.0.34.11.1.1.5']][hl7:templateId/@root='1.2.40.0.34.11.1.1.5']]/hl7:participant[hl7:templateId[@root='1.2.40.0.34.11.1.1.5']]/hl7:associatedEntity/hl7:telecom"
         id="tmp-r-3e616e80-eb3d-459e-a2da-4bab17afd5af">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140201T131000/tmp-1.2.40.0.34.11.1.1.5-2013-10-16T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='TEL' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(HeaderParticipantAngehoerige): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:TEL" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="TEL.AT"/>
      <let name="theValue" value="@value"/>
   </rule>
   <!--
Template derived rules for ID: 1.2.40.0.34.11.1.1.5
Context: *[hl7:participant[hl7:templateId[@root='1.2.40.0.34.11.1.1.5']][hl7:templateId/@root='1.2.40.0.34.11.1.1.5']]/hl7:participant[hl7:templateId[@root='1.2.40.0.34.11.1.1.5']]/hl7:associatedEntity/hl7:associatedPerson
Item: (HeaderParticipantAngehoerige)
-->

<rule context="*[hl7:participant[hl7:templateId[@root='1.2.40.0.34.11.1.1.5']][hl7:templateId/@root='1.2.40.0.34.11.1.1.5']]/hl7:participant[hl7:templateId[@root='1.2.40.0.34.11.1.1.5']]/hl7:associatedEntity/hl7:associatedPerson"
         id="tmp-r-d82f3886-1fd1-4f0a-a1e0-186070f56d85">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140201T131000/tmp-1.2.40.0.34.11.1.1.5-2013-10-16T000000.html"
              test="string(@classCode)='PSN' or not(@classCode)">(HeaderParticipantAngehoerige): Der Wert von @classCode MUSS 'PSN' sein.</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140201T131000/tmp-1.2.40.0.34.11.1.1.5-2013-10-16T000000.html"
              test="string(@determinerCode)='INSTANCE' or not(@determinerCode)">(HeaderParticipantAngehoerige): Der Wert von @determinerCode MUSS 'INSTANCE' sein.</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140201T131000/tmp-1.2.40.0.34.11.1.1.5-2013-10-16T000000.html"
              test="count(hl7:name)&gt;=1 and not(hl7:name/@nullFlavor)">(HeaderParticipantAngehoerige): Element hl7:name ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140201T131000/tmp-1.2.40.0.34.11.1.1.5-2013-10-16T000000.html"
              test="count(hl7:name)&lt;=1">(HeaderParticipantAngehoerige): Element hl7:name kommt zu häufig vor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.40.0.34.11.90001
Context: *[hl7:participant[hl7:templateId[@root='1.2.40.0.34.11.1.1.5']][hl7:templateId/@root='1.2.40.0.34.11.1.1.5']]/hl7:participant[hl7:templateId[@root='1.2.40.0.34.11.1.1.5']]/hl7:associatedEntity/hl7:associatedPerson/hl7:name
Item: (PersonElements)
-->

<rule context="*[hl7:participant[hl7:templateId[@root='1.2.40.0.34.11.1.1.5']][hl7:templateId/@root='1.2.40.0.34.11.1.1.5']]/hl7:participant[hl7:templateId[@root='1.2.40.0.34.11.1.1.5']]/hl7:associatedEntity/hl7:associatedPerson/hl7:name"
         id="tmp-r-c680a5ce-7cd3-4eb8-8069-a8393c30b444">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140201T131000/tmp-1.2.40.0.34.11.90001-2011-12-19T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='PN' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(PersonElements): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:PN" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="PN"/>
      <let name="theValue" value="@value"/>
   </rule>
   <!--
Template derived rules for ID: 1.2.40.0.34.11.1.1.5
Context: *[hl7:participant[hl7:templateId[@root='1.2.40.0.34.11.1.1.5']][hl7:templateId/@root='1.2.40.0.34.11.1.1.5']]/hl7:participant[hl7:templateId[@root='1.2.40.0.34.11.1.1.5']]/hl7:associatedEntity/hl7:scopingOrganization
Item: (HeaderParticipantAngehoerige)
-->

<rule context="*[hl7:participant[hl7:templateId[@root='1.2.40.0.34.11.1.1.5']][hl7:templateId/@root='1.2.40.0.34.11.1.1.5']]/hl7:participant[hl7:templateId[@root='1.2.40.0.34.11.1.1.5']]/hl7:associatedEntity/hl7:scopingOrganization"
         id="tmp-r-1f60e499-ec23-48e8-ad43-f8baf8088a6b">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140201T131000/tmp-1.2.40.0.34.11.1.1.5-2013-10-16T000000.html"
              test="string(@classCode)='ORG' or not(@classCode)">(HeaderParticipantAngehoerige): Der Wert von @classCode MUSS 'ORG' sein.</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140201T131000/tmp-1.2.40.0.34.11.1.1.5-2013-10-16T000000.html"
              test="string(@determinerCode)='INSTANCE' or not(@determinerCode)">(HeaderParticipantAngehoerige): Der Wert von @determinerCode MUSS 'INSTANCE' sein.</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140201T131000/tmp-1.2.40.0.34.11.1.1.5-2013-10-16T000000.html"
              test="count(hl7:name)&gt;=1 and not(hl7:name/@nullFlavor)">(HeaderParticipantAngehoerige): Element hl7:name ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140201T131000/tmp-1.2.40.0.34.11.1.1.5-2013-10-16T000000.html"
              test="count(hl7:name)&lt;=1">(HeaderParticipantAngehoerige): Element hl7:name kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140201T131000/tmp-1.2.40.0.34.11.1.1.5-2013-10-16T000000.html"
              test="count(hl7:addr)&lt;=1">(HeaderParticipantAngehoerige): Element hl7:addr kommt zu häufig vor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.40.0.34.11.90002
Context: *[hl7:participant[hl7:templateId[@root='1.2.40.0.34.11.1.1.5']][hl7:templateId/@root='1.2.40.0.34.11.1.1.5']]/hl7:participant[hl7:templateId[@root='1.2.40.0.34.11.1.1.5']]/hl7:associatedEntity/hl7:scopingOrganization/hl7:id
Item: (OrganizationElements)
-->

<rule context="*[hl7:participant[hl7:templateId[@root='1.2.40.0.34.11.1.1.5']][hl7:templateId/@root='1.2.40.0.34.11.1.1.5']]/hl7:participant[hl7:templateId[@root='1.2.40.0.34.11.1.1.5']]/hl7:associatedEntity/hl7:scopingOrganization/hl7:id"
         id="tmp-r-879e05a0-4176-413c-a6b6-4a8ada50678c">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140201T131000/tmp-1.2.40.0.34.11.90002-2011-12-19T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(OrganizationElements): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:II" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
   </rule>
   <!--
Template derived rules for ID: 1.2.40.0.34.11.90002
Context: *[hl7:participant[hl7:templateId[@root='1.2.40.0.34.11.1.1.5']][hl7:templateId/@root='1.2.40.0.34.11.1.1.5']]/hl7:participant[hl7:templateId[@root='1.2.40.0.34.11.1.1.5']]/hl7:associatedEntity/hl7:scopingOrganization/hl7:name
Item: (OrganizationElements)
-->

<rule context="*[hl7:participant[hl7:templateId[@root='1.2.40.0.34.11.1.1.5']][hl7:templateId/@root='1.2.40.0.34.11.1.1.5']]/hl7:participant[hl7:templateId[@root='1.2.40.0.34.11.1.1.5']]/hl7:associatedEntity/hl7:scopingOrganization/hl7:name"
         id="tmp-r-fc548cfd-eeaf-4ea5-b58b-cf1fe2eb9a62">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140201T131000/tmp-1.2.40.0.34.11.90002-2011-12-19T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='ON' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(OrganizationElements): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:ON" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="ON"/>
      <let name="theValue" value="@value"/>
   </rule>
   <!--
Template derived rules for ID: 1.2.40.0.34.11.90002
Context: *[hl7:participant[hl7:templateId[@root='1.2.40.0.34.11.1.1.5']][hl7:templateId/@root='1.2.40.0.34.11.1.1.5']]/hl7:participant[hl7:templateId[@root='1.2.40.0.34.11.1.1.5']]/hl7:associatedEntity/hl7:scopingOrganization/hl7:telecom
Item: (OrganizationElements)
-->

<rule context="*[hl7:participant[hl7:templateId[@root='1.2.40.0.34.11.1.1.5']][hl7:templateId/@root='1.2.40.0.34.11.1.1.5']]/hl7:participant[hl7:templateId[@root='1.2.40.0.34.11.1.1.5']]/hl7:associatedEntity/hl7:scopingOrganization/hl7:telecom"
         id="tmp-r-1af63579-1257-4b51-8991-85e003307434">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140201T131000/tmp-1.2.40.0.34.11.90002-2011-12-19T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='TEL' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(OrganizationElements): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:TEL" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="TEL.AT"/>
      <let name="theValue" value="@value"/>
   </rule>
   <!--
Template derived rules for ID: 1.2.40.0.34.11.90002
Context: *[hl7:participant[hl7:templateId[@root='1.2.40.0.34.11.1.1.5']][hl7:templateId/@root='1.2.40.0.34.11.1.1.5']]/hl7:participant[hl7:templateId[@root='1.2.40.0.34.11.1.1.5']]/hl7:associatedEntity/hl7:scopingOrganization/hl7:addr
Item: (OrganizationElements)
-->

<rule context="*[hl7:participant[hl7:templateId[@root='1.2.40.0.34.11.1.1.5']][hl7:templateId/@root='1.2.40.0.34.11.1.1.5']]/hl7:participant[hl7:templateId[@root='1.2.40.0.34.11.1.1.5']]/hl7:associatedEntity/hl7:scopingOrganization/hl7:addr"
         id="tmp-r-7dc82f65-1790-45d6-96fd-b3af383de8c2">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140201T131000/tmp-1.2.40.0.34.11.90002-2011-12-19T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='AD' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(OrganizationElements): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:AD" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="AD"/>
      <let name="theValue" value="@value"/>
   </rule>
</pattern>
