<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 1.2.40.0.34.11.3.2.14
Name: Rollenwahrnehmung und Sinnfindung
Description: 
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-1.2.40.0.34.11.3.2.14-2011-12-19T000000">
   <title>Rollenwahrnehmung und Sinnfindung</title>
   <!--
Template derived rules for ID: 1.2.40.0.34.11.3.2.14
Context: *[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.3.2.14']]
Item: (RollenwahrnehmungSinnfindung)
-->

<!--
Template derived rules for ID: 1.2.40.0.34.11.3.2.14
Context: *[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.3.2.14']]/hl7:section[hl7:templateId[@root='1.2.40.0.34.11.3.2.14']]
Item: (RollenwahrnehmungSinnfindung)
-->

<rule context="*[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.3.2.14']]/hl7:section[hl7:templateId[@root='1.2.40.0.34.11.3.2.14']]"
         id="tmp-r-825e5b9b-08d3-4068-8d29-b884a7134f9d">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140201T131000/tmp-1.2.40.0.34.11.3.2.14-2011-12-19T000000.html"
              test="count(hl7:templateId[@root='1.2.40.0.34.11.3.2.14'])&gt;=1 ">(RollenwahrnehmungSinnfindung): Element hl7:templateId[@root='1.2.40.0.34.11.3.2.14'] ist required [min 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140201T131000/tmp-1.2.40.0.34.11.3.2.14-2011-12-19T000000.html"
              test="count(hl7:templateId[@root='1.2.40.0.34.11.3.2.14'])&lt;=1">(RollenwahrnehmungSinnfindung): Element hl7:templateId[@root='1.2.40.0.34.11.3.2.14'] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140201T131000/tmp-1.2.40.0.34.11.3.2.14-2011-12-19T000000.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(RollenwahrnehmungSinnfindung): Element hl7:code ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140201T131000/tmp-1.2.40.0.34.11.3.2.14-2011-12-19T000000.html"
              test="count(hl7:code)&lt;=1">(RollenwahrnehmungSinnfindung): Element hl7:code kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140201T131000/tmp-1.2.40.0.34.11.3.2.14-2011-12-19T000000.html"
              test="count(hl7:title)&gt;=1 and not(hl7:title/@nullFlavor)">(RollenwahrnehmungSinnfindung): Element hl7:title ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140201T131000/tmp-1.2.40.0.34.11.3.2.14-2011-12-19T000000.html"
              test="count(hl7:title)&lt;=1">(RollenwahrnehmungSinnfindung): Element hl7:title kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140201T131000/tmp-1.2.40.0.34.11.3.2.14-2011-12-19T000000.html"
              test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)">(RollenwahrnehmungSinnfindung): Element hl7:text ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140201T131000/tmp-1.2.40.0.34.11.3.2.14-2011-12-19T000000.html"
              test="count(hl7:text)&lt;=1">(RollenwahrnehmungSinnfindung): Element hl7:text kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140201T131000/tmp-1.2.40.0.34.11.3.2.14-2011-12-19T000000.html"
              test="count(hl7:component[hl7:section[hl7:templateId[@root='1.2.40.0.34.11.1.2.8']]])&lt;=1">(RollenwahrnehmungSinnfindung): Element hl7:component[hl7:section[hl7:templateId[@root='1.2.40.0.34.11.1.2.8']]] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140201T131000/tmp-1.2.40.0.34.11.3.2.14-2011-12-19T000000.html"
              test="count(hl7:component[hl7:section[hl7:templateId[@root='1.2.40.0.34.11.1.2.9']]])&lt;=1">(RollenwahrnehmungSinnfindung): Element hl7:component[hl7:section[hl7:templateId[@root='1.2.40.0.34.11.1.2.9']]] kommt zu häufig vor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.40.0.34.11.3.2.14
Context: *[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.3.2.14']]/hl7:section[hl7:templateId[@root='1.2.40.0.34.11.3.2.14']]/hl7:templateId
Item: (RollenwahrnehmungSinnfindung)
-->

<rule context="*[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.3.2.14']]/hl7:section[hl7:templateId[@root='1.2.40.0.34.11.3.2.14']]/hl7:templateId"
         id="tmp-r-ebf09f92-52c3-4338-a646-40508f188371">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140201T131000/tmp-1.2.40.0.34.11.3.2.14-2011-12-19T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(RollenwahrnehmungSinnfindung): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:II" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140201T131000/tmp-1.2.40.0.34.11.3.2.14-2011-12-19T000000.html"
              test="string(@root)='1.2.40.0.34.11.3.2.14'">(RollenwahrnehmungSinnfindung): @root MUSS den Wert '1.2.40.0.34.11.3.2.14' haben.</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.40.0.34.11.3.2.14
Context: *[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.3.2.14']]/hl7:section[hl7:templateId[@root='1.2.40.0.34.11.3.2.14']]/hl7:code
Item: (RollenwahrnehmungSinnfindung)
-->

<rule context="*[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.3.2.14']]/hl7:section[hl7:templateId[@root='1.2.40.0.34.11.3.2.14']]/hl7:code"
         id="tmp-r-9a8627fa-67aa-4c4a-ab5f-a98a7cbe726b">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140201T131000/tmp-1.2.40.0.34.11.3.2.14-2011-12-19T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(RollenwahrnehmungSinnfindung): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:CE" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140201T131000/tmp-1.2.40.0.34.11.3.2.14-2011-12-19T000000.html"
              test="@nullFlavor or (@code='PFROLL' and @codeSystem='1.2.40.0.34.5.40')">(RollenwahrnehmungSinnfindung): Der Elementinhalt MUSS sein code 'PFROLL' codeSystem '1.2.40.0.34.5.40'.</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.40.0.34.11.3.2.14
Context: *[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.3.2.14']]/hl7:section[hl7:templateId[@root='1.2.40.0.34.11.3.2.14']]/hl7:title
Item: (RollenwahrnehmungSinnfindung)
-->

<rule context="*[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.3.2.14']]/hl7:section[hl7:templateId[@root='1.2.40.0.34.11.3.2.14']]/hl7:title"
         id="tmp-r-e647d506-6af8-4e3c-ac0c-dab4ad3065fb">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140201T131000/tmp-1.2.40.0.34.11.3.2.14-2011-12-19T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='ST' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(RollenwahrnehmungSinnfindung): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:ST" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="ST"/>
      <let name="theValue" value="text()"/>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140201T131000/tmp-1.2.40.0.34.11.3.2.14-2011-12-19T000000.html"
              test="text()='Rollenwahrnehmung und Sinnfindung'">(RollenwahrnehmungSinnfindung): Der Elementinhalt von 'hl7:title' MUSS ''Rollenwahrnehmung und Sinnfindung'' sein.</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.40.0.34.11.3.2.14
Context: *[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.3.2.14']]/hl7:section[hl7:templateId[@root='1.2.40.0.34.11.3.2.14']]/hl7:text
Item: (RollenwahrnehmungSinnfindung)
-->

<!--
Template derived rules for ID: 1.2.40.0.34.11.30032
Context: *[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.3.2.14']]/hl7:section[hl7:templateId[@root='1.2.40.0.34.11.3.2.14']]/hl7:component[hl7:section[hl7:templateId[@root='1.2.40.0.34.11.1.2.8']]]
Item: (RisikenHilfsmittelRessourcen)
-->

<rule context="*[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.3.2.14']]/hl7:section[hl7:templateId[@root='1.2.40.0.34.11.3.2.14']]/hl7:component[hl7:section[hl7:templateId[@root='1.2.40.0.34.11.1.2.8']]]"
         id="tmp-r-69658b30-b07d-42b0-8526-92d16d6e7b06">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140201T131000/tmp-1.2.40.0.34.11.30032-2013-11-07T000000.html"
              test="string(@typeCode)='COMP' or not(@typeCode)">(RisikenHilfsmittelRessourcen): Der Wert von @typeCode MUSS 'COMP' sein.</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140201T131000/tmp-1.2.40.0.34.11.30032-2013-11-07T000000.html"
              test="string(@contextConductionInd)='true' or not(@contextConductionInd)">(RisikenHilfsmittelRessourcen): Der Wert von @contextConductionInd MUSS 'true' sein.</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.40.0.34.11.30032
Context: *[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.3.2.14']]/hl7:section[hl7:templateId[@root='1.2.40.0.34.11.3.2.14']]/hl7:component[hl7:section[hl7:templateId[@root='1.2.40.0.34.11.1.2.9']]]
Item: (RisikenHilfsmittelRessourcen)
-->

<rule context="*[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.3.2.14']]/hl7:section[hl7:templateId[@root='1.2.40.0.34.11.3.2.14']]/hl7:component[hl7:section[hl7:templateId[@root='1.2.40.0.34.11.1.2.9']]]"
         id="tmp-r-599cc830-7fad-46bb-bdd7-346baccddb2c">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140201T131000/tmp-1.2.40.0.34.11.30032-2013-11-07T000000.html"
              test="string(@typeCode)='COMP' or not(@typeCode)">(RisikenHilfsmittelRessourcen): Der Wert von @typeCode MUSS 'COMP' sein.</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140201T131000/tmp-1.2.40.0.34.11.30032-2013-11-07T000000.html"
              test="string(@contextConductionInd)='true' or not(@contextConductionInd)">(RisikenHilfsmittelRessourcen): Der Wert von @contextConductionInd MUSS 'true' sein.</assert>
   </rule>
</pattern>
